<template>
  <div class="layout">
    <Header :horizontalNavList="[]"></Header>
    <AppMain :menuItems="menuList"/>
  </div>
</template>

<!-- vue3 setup -->
<script setup lang="ts">
import {computed,ref} from 'vue'
import Header from './components/header.vue'
import AppMain from './components/AppMain.vue'

import { useStore } from 'vuex'

const store = useStore()
// 此处要根据登录用户的权限 分条件展示 不同的内容
const menuList =  computed(()=>{
  return store.state.siderNav
})


</script>